[Qa-jenkins-scm] [jenkins.debian.net] 04/07: reproducible Debian: correctly count number of stale logfiles

Holger Levsen holger at layer-acht.org
Sun Dec 18 09:22:29 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 08ed6b2759f7dbb2caa3c817832bca8a2681461b
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Dec 17 01:31:42 2016 +0000

    reproducible Debian: correctly count number of stale logfiles
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_maintenance.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index d720f3e..bab44c7 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -409,7 +409,11 @@ if [ "$HOSTNAME" = "$MAINNODE" ] && [ $(date -u +%H) -eq 0 ]  ; then
 			TMPFILE=$(mktemp --tmpdir=$TEMPDIR maintenance-XXXXXXXXXXXX)
 			mv $PROBLEM $TMPFILE
 			( echo "A few entries per day are normal, a few dozens or hundreds probably not."
-			  echo "$(egrep -c '(https://|stale\ builds\ found)' $TMPFILE || true) entries found:"
+			  if grep -q https $TMPFILE ; then
+				  echo "$(grep -c https $TMPFILE) entries found:"
+			  else
+				  echo "$(grep -c 'stale builds found' $TMPFILE || true) entries found:"
+			  fi
 			  echo
 			  cat $TMPFILE ) | mail -s "$(basename $PROBLEM) found" qa-jenkins-scm at lists.alioth.debian.org
 			rm -f $TMPFILE

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list